package auth

type Session interface {
	// StoreJwtToken store jwt token is redis, make it expired for feature
	StoreJwtToken(token string, uid int64, timeout int64) error

	// IsExistsJwtToken judge whether token is invalid
	IsExistsJwtToken(token string) bool

	// DeleteJwtToken delete jwt token
	DeleteJwtToken(token string) bool
}
